aboutsummaryrefslogtreecommitdiffstats
path: root/testing/audacity/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-11-28 11:28:08 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-11-28 11:29:06 +0000
commit626d0dde97b9a73e295e7fd556b7c575ee7cbddd (patch)
tree9230472c1483ae1660c6e41328d4b7ee47a5d685 /testing/audacity/APKBUILD
parent4ddc7b077a11c170999a1392cacb211d71b40043 (diff)
downloadaports-626d0dde97b9a73e295e7fd556b7c575ee7cbddd.tar.gz
aports-626d0dde97b9a73e295e7fd556b7c575ee7cbddd.tar.bz2
aports-626d0dde97b9a73e295e7fd556b7c575ee7cbddd.tar.xz
testing/audacity: new aport
Multitrack audio editor http://audacity.sourceforge.net
Diffstat (limited to 'testing/audacity/APKBUILD')
-rw-r--r--testing/audacity/APKBUILD48
1 files changed, 48 insertions, 0 deletions
diff --git a/testing/audacity/APKBUILD b/testing/audacity/APKBUILD
new file mode 100644
index 0000000000..7b96153490
--- /dev/null
+++ b/testing/audacity/APKBUILD
@@ -0,0 +1,48 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=audacity
+pkgver=1.3.13
+pkgrel=0
+pkgdesc="Multitrack audio editor"
+url="http://audacity.sourceforge.net"
+arch="all"
+license="GPLv2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev wxgtk-dev alsa-lib-dev libsndfile-dev flac-dev
+ libogg-dev libvorbis-dev libsamplerate-dev expat-dev libmad-dev
+ libid3tag-dev taglib-dev"
+install=""
+subpackages="$pkgname-doc $pkgname-lang"
+source="http://downloads.sf.net/sourceforge/audacity/audacity-minsrc-$pkgver-beta.tar.bz2"
+
+_builddir="$srcdir"/audacity-src-$pkgver-beta
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --with-libsndfile=system \
+ --with-libsamplerate=system \
+ --without-libresample \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="57be7fadb8c8dd17b8462c7ac1561d03 audacity-minsrc-1.3.13-beta.tar.bz2"